// swiftlint:disable all
import Amplify
import Foundation

public struct PostWithCompositeKeyAndIndex: Model {
  public let id: String
  public let title: String
  public var comments: List<CommentWithCompositeKeyAndIndex>?
  public var createdAt: Temporal.DateTime?
  public var updatedAt: Temporal.DateTime?
  
  public init(id: String = UUID().uuidString,
      title: String,
      comments: List<CommentWithCompositeKeyAndIndex>? = []) {
    self.init(id: id,
      title: title,
      comments: comments,
      createdAt: nil,
      updatedAt: nil)
  }
  internal init(id: String = UUID().uuidString,
      title: String,
      comments: List<CommentWithCompositeKeyAndIndex>? = [],
      createdAt: Temporal.DateTime? = nil,
      updatedAt: Temporal.DateTime? = nil) {
      self.id = id
      self.title = title
      self.comments = comments
      self.createdAt = createdAt
      self.updatedAt = updatedAt
  }
}